Subject: RE: Proposed Policy on ID submission deadlines

From: [email-masked]
Date: Sat, 25 Sep 2004 15:52:39 +0300

Bob,

> >Initial versions are required to be in early because working group
> >participants will need to allot longer review times to versions which
> >have not been previously considered.  A document which has been
> >previously published and is re-titled with a working group title is
> >still treated as an initial version, as the name adjustment s usually
> >a signal of adoption by a working group and may trigger initial review
> >by some participants.  Working group chairs are always free to
> >schedule discussion of non-working group drafts, and should use them
> >when re-titling would cause confusion over the need for review.
> 
> I had thought the reason for the two deadlines was that it was more work 
> for the secretariat to process an -00 w.g. document.  If this not the case 
> and, as described in text above, most drafts becoming working group 
> documents have already been reviewed and approved by the working group, I 
> don't see that this extra week is really needed.  The important action that 
> should have caused people to read the draft was when the working group 
> decided to accept the document as a working group document.  The changes in 
> most -00 w.g. documents are usually incremental.

I also thought it was because of the extra processing as well.  I did not
think it was for the reasons which are listed in this draft.  I agree
with you completely that 00 WG documents should have already been reviewed
by the WG before they are adopted.  Extra review time is needed for WG
documents which are not yet WG documents but would like to be. 

John

---

From: Ralph Droms <[email-masked]>
Date: Sat, 25 Sep 2004 09:22:53 -0400

I agree with Bob and John.  In fact, I thought the earlier
deadline was in place to give time for the IETF secretary
to get WG chair permission for publication.

In the dhc WG, a draft is reviewed by the WG before acceptance
as a WG document.  The WG signals acceptance through consensus
at a WG meeting followed by determination of consensus of the
WG at large through the WG mailing list.  The personal draft
is then submitted for publication as a WG document.  This
publication results only in a change of the name of the
document, so no further review by the WG chair or the WG
is required.

This process in the dhc WG has been developed, in fact, as
a result of informal discussion among ADs and myself.  I
understand a similar process is in place for many other WGs.
I'm surprised that we would need to change the process at this
point to introduce a redundant review, leading to unnecessary
steps, work, deadlines and delays in the publication process.

Thanks to my WG chair colleagues for noticing the change in
process in the proposed policy for I-D submission.

- Ralph